function entrydata=extractentry(contestdata, entryid)
%{
MATLAB Contest data entry extraction function

Author:  Alan Chalker
Date: 5/7/10

This function will extract all the content for a given contest entry
from the contest data set that accompanies this file.  In addition, it
will create a file named solver.m in the current directory with the
code from the entry.  The load the contestdata execute the following
function first:  load contestdata

Inputs:
entryid - the numerical id of the entry desired

Outputs:
entrydata - a structure with the following fields.  All fields are
numeric unless otherwise specified
    id - the same as the entry id
    author - the entry author (string)
    name - the title of the entry (string)
    status - 'Passed' or 'Failed' (string)
    results - the numerical results
    cyc - the Cyclomatic Complexity
    node - the node length
    cpu - the CPU time
    score - the score
    submitted - the submitted time as a date vector
    scored - the scored time as a date vector
    currank - the current rank
    highrank - the highest rank
    basedon - the id of the entry it is based on
    basisfor - a vector of ids of entries based on it
    error - the error message if status == Failed (string)
    code - the code (string)


%}

if entryid <= size(contestdata,2)  
    entrydata=contestdata(entryid);
    fid=fopen('solver.m','w+');
    fprintf(fid,'%s',entrydata.code);
    fclose(fid);
    
else
    disp('Entry id too big')
end